#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 integration module for idle time detection
Name:           kidletime
Version: 6.5.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)

BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xscrnsaver)

%description
KDE Frameworks 6 Tier 1 integration module for idle time detection.

%files
%_kf6_categoriesdir/kidletime.*categories
%_kf6_plugindir/org.kde.kidletime.platforms

#--------------------------------------------------------------------

%define kf6idletime_major 6
%define libkf6idletime %mklibname kf6idletime %{kf6idletime_major}

%package -n %libkf6idletime
Summary:        KDE Frameworks 6 Tier 1 integration module for idle time detection
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf6idletime
KDE Frameworks 6 Tier 1 integration module for idle time detection.

%files -n %libkf6idletime
%_kf6_libdir/libKF6IdleTime.so.%{kf6idletime_major}{,.*}
%_kf6_libdir/libKF6IdleTime.so.%{version}

#--------------------------------------------------------------------

%define kf6idletime_devel %mklibname kf6idletime -d

%package -n %kf6idletime_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6idletime = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6idletime_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6idletime_devel
%_kf6_includedir/KIdleTime/
%_kf6_libdir/cmake/KF6IdleTime/
%_kf6_libdir/libKF6IdleTime.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install



%changelog
* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084375
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070542
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063401
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056832
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044930
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037490
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029583
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025617
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005604
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998970
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987414
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952048
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947854
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941360
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935010
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922343
- New version 5.101.0

* Wed Nov 30 2022 daviddavid <daviddavid> 5.100.0-3.mga9
+ Revision: 1912994
- rebuild in core/release

* Tue Nov 29 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1912424
- enable Qt5WaylandClient support

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911625
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900229
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887664
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880611
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871711
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853231
- New version 5.93.0

* Wed Apr 06 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1846688
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754839
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749090
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747050
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735272
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723463
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714859
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702037
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691129
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653343
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633196
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625618
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612440
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603100
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592794
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582020
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566511
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556687
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546642
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486825
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466235
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457620
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451002
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444814
- New version 5.62.0

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420241
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386942
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382456
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374573
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364544
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356667
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339223
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318970
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298544
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247775
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229258
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192289
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182339
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161245
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140407
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123508
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088971
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074542
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072207
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058362
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050539
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049251
- enable X-Screensaver support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045117
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041339
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021937
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014347
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999642
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986335
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942256
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921288
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912925
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909850
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900561
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899452
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898932
+ rebuild (emptylog)

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898775
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888172
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881396
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863035
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862612
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853802
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841578
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803363
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 745504
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681072
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660435
- New version 5.1.0

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651592
- New version 5.0.0

* Wed Jul 02 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 642131
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611284
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599688
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593055
- New version 4.96.0

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 587826
- imported package kidletime

